/*
 * fight_class.hpp
 *
 *  Created on: 2010.04.26.
 *      Author: Szabó László
 */

#include "SDL/SDL.h"
#include "SDL/SDL_image.h"
#include "SDL/SDL_ttf.h"
#include "SDL/SDL_mixer.h"

#include <string>
#include <sstream>

#include "funcs.hpp"


#ifndef FIGHT_CLASS_HPP_
#define FIGHT_CLASS_HPP_

class fighting{

	private:

		int frame, x, y;
		bool there_is;

		SDL_Surface* sprite_sheet;

		SDL_Rect hitbox;

		SDL_Rect offsets[ 4 ];

	public:

		fighting();
		~fighting();

		void shift_box();

		void show( SDL_Surface* & screen );

		void replace();

		SDL_Rect get_hitbox();

		bool is_on();

		void collect( int & score, SDL_Surface* & screen );

};

#endif /* FIGHT_CLASS_HPP_ */
